# Uses of Interface
org.eclipse.birt.report.engine.api.IReportEngine

Packages that use IReportEngine
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of IReportEngine in org.eclipse.birt.report.engine.api

Classes in org.eclipse.birt.report.engine.api that implement IReportEngine
Modifier and Type
Class
Description
`class`
`ReportEngine`
This is a wrapper class for the IReportEngine.
Fields in org.eclipse.birt.report.engine.api declared as IReportEngine
Modifier and Type
Field
Description
`protected IReportEngine`
ReportEngine.`engine`
the report engine.
Methods in org.eclipse.birt.report.engine.api that return IReportEngine
Modifier and Type
Method
Description
`IReportEngine`
IReportEngineFactory.`createReportEngine(EngineConfig config)`
create a new report engine object.
`IReportEngine`
IEngineTask.`getEngine()`
returns the report engine object
`IReportEngine`
IReportRunnable.`getReportEngine()`
returns the report engine

## Uses of IReportEngine in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter that return IReportEngine
Modifier and Type
Method
Description
`IReportEngine`
IEmitterServices.`getReportEngine()`